/*
 * SSOServlet.java
 *
 * Created on April 17, 2003, 11:23 AM
 */

import java.io.*;
import javax.servlet.ServletException;
import javax.servlet.http.*;
import javax.naming.*;
import java.rmi.*;
import javax.rmi.*;
import javax.ejb.*;
import com.sun.hercules.*;

public class SSOServlet extends HttpServlet
{
        HttpSession session;
        PrintWriter out ;

        public void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
        {
                session=request.getSession(true);
                out = response.getWriter();
		out.println("Executed From Instance: <b>"+System.getProperty("com.sun.aas.instanceName") +"</b><br>");


                        invokeSSOEJB();
           
        }

public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
        {
        
                doPost(request, response);

        }

public void invokeSSOEJB() {
        try {

                InitialContext initContext = new javax.naming.InitialContext();
                String JNDIName = "java:comp/env/ejb/form"; 
                System.out.println("Looking up: " + JNDIName); 
                        out.println("\n After SSO Looking up : " + JNDIName);
                Object objref = initContext.lookup(JNDIName); 
                SSOHome ssoHomeRef = (SSOHome)PortableRemoteObject.narrow(objref,
                                            SSOHome.class);
                System.out.println("\n Obtained home ref \n ");
                out.println("\n Obtained home ref 2 after failover and SSO \n");
                System.out.println("\n ssoHomeRef : "+ssoHomeRef);
                                SSO ssoRemoteRef = ssoHomeRef.create();
                System.out.println("\n Obtained remote ref : " + ssoRemoteRef);
                out.println("\n Obtained remote ref 2 after failover and SSO : "+ssoRemoteRef);
                                String result = ssoRemoteRef.validate();
                out.println("\n Result 2 after failover and SSO : "+result);
               
         } 
         catch(CreateException e)
         {
                out.println("\n CreateException in SSOBean : " + e.getMessage());
         }
         catch(RemoteException e)
         {
                out.println("\n RemoteException in SSOBean : " + e.getMessage());
         }
         catch(Exception e)
         {
                out.println("\n Exception in SSOBean : " + e.getMessage());
         }

}

}
